#pragma once

#include <vector>

#include "../../entity.hpp"
#include "../../resource/shader.hpp"

namespace game::state::play
{
  class AreaManager
  {
  public:
    std::vector<Entity> entities{};

    int index_get(Entity&);
    game::resource::xml::Schema::AreaEntry* get(Entity&);
    void set(Entity&);
    void update(Entity&);
    void render(Entity&, game::resource::Shader&, game::resource::Shader&, Canvas&);
  };
}
